OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
LanguageStrings Struct Reference

Container for the raw (unencoded) language strings of a language. More...

`#include <game_text.hpp>`

## Public Member Functions
| LanguageStrings (const char *language, const char *end=NULL)
| Create a new container for language strings.
| ~LanguageStrings ()
| Free everything.

## Data Fields
const char * | language
| Name of the language (base filename).
StringList | lines
| The lines of the file to pass into the parser/encoder.

## Detailed Description

Container for the raw (unencoded) language strings of a language.

Definition at line 22 of file game_text.hpp.

## Constructor & Destructor Documentation

LanguageStrings::LanguageStrings | ( | const char * | language,
|  | const char * | end = `NULL`
| ) |  |

Create a new container for language strings.

Parameters

  language | The language name.
  end | If not NULL, terminate language at this position.

Definition at line 67 of file game_text.cpp.

References stredup().

LanguageStrings::~LanguageStrings | ( |  | ) |

Free everything.

Definition at line 73 of file game_text.cpp.

References free(), and language.

The documentation for this struct was generated from the following files:

- src/game/game_text.hpp
- src/game/game_text.cpp